package example.app.server.launch;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.ILaunchConfiguration;
import org.eclipse.debug.core.model.ILaunchConfigurationDelegate;
import org.eclipse.wst.server.core.IServer;
import org.eclipse.wst.server.core.ServerUtil;

import example.app.server.core.types.ServerBehavior;

public class LaunchDelegate implements ILaunchConfigurationDelegate {

	public void launch(ILaunchConfiguration configuration, String mode,
			ILaunch launch, IProgressMonitor monitor) throws CoreException {
		getServerBehavior(configuration).setStarted();
	}
	
    public static ServerBehavior getServerBehavior(ILaunchConfiguration configuration) throws CoreException {
        IServer server = ServerUtil.getServer(configuration);
        ServerBehavior jbossServerBehavior = (ServerBehavior) server.getAdapter(ServerBehavior.class);
        return jbossServerBehavior;
    }

}
